package de.intevation.flys.artifacts.states;

import de.intevation.artifacts.CallContext;
import de.intevation.artifacts.common.utils.StringUtils;


/**
 * Get me doubles (km).
 */
public class EnterMultipleLocationsState extends EnterLocationState {

    @Override
    protected String getUIProvider() {
        return "multi_location_panel";
    }

    
    /** Deal with multiple double values. */
    @Override
    protected String getLabelFor(
        CallContext cc,
        String      name,
        String      value,
        String      type
    ) {
        String label = "";
        String[] vals = value.split(" ");
        for (int i = 0; i < vals.length; i++) {
            vals[i] = super.getLabelFor(cc, name, vals[i], type);
        }

        return StringUtils.join(vals, " ");
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
